ERROR:mindsdb.api.http.initialize:Exception on /api/datasources/customer_churn [PUT]

MindsDB Service Desk
Tried to load the test data to try your product on MacOS (MacOS 10.15.7), doens’t seem to be working:,Traceback (most recent call last):,File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/nltk/corpus/util.py”, line 83, in __load,root = nltk.data.find("{}/{}".format(self.subdir, zip_name)),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/nltk/data.py”, line 585, in find,raise LookupError(resource_not_found),LookupError:,**********************************************************************,Resource stopwords not found.,Please use the NLTK Downloader to obtain the resource:,>>> import nltk,>>> nltk.download(‘stopwords’),For more information see: ,https://www.nltk.org/data.html,Attempted to load corpora/stopwords.zip/stopwords/,Searched in:,During handling of the above exception, another exception occurred:,Traceback (most recent call last):,File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/flask/app.py”, line 1950, in full_dispatch_request,rv = self.dispatch_request(),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/flask/app.py”, line 1936, in dispatch_request,return self.view_functionsrule.endpoint,File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/flask_restx/api.py”, line 375, in wrapper,resp = resource(*args, **kwargs),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/flask/views.py”, line 89, in view,return self.dispatch_request(*args, **kwargs),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/flask_restx/resource.py”, line 44, in dispatch_request,resp = meth(*args, **kwargs),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/flask_restx/marshalling.py”, line 248, in wrapper,resp = f(*args, **kwargs),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb/api/http/namespaces/datasource.py”, line 126, in put,ca.default_store.save_datasource(ds_name, source_type, source, file_path),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb/interfaces/datastore/datastore.py”, line 185, in save_datasource,df_with_types = cast_df_columns_types(df, self.get_analysis(df)[‘data_analysis_v2’]),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb/interfaces/datastore/datastore.py”, line 24, in get_analysis,return self.mindsdb_native.analyse_dataset(ds),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb/interfaces/native/mindsdb.py”, line 64, in analyse_dataset,return F.analyse_dataset(ds),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/controllers/functional.py”, line 102, in analyse_dataset,tx.run(),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/controllers/transaction.py”, line 253, in run,self._call_phase_module(module_name=‘TypeDeductor’, input_data=self.input_data),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/controllers/transaction.py”, line 170, in _call_phase_module,ret = module(self.session, self)(**kwargs),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/phases/base_module.py”, line 53, in ,call,,ret = self.run(**kwargs),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/phases/type_deductor/type_deductor.py”, line 308, in run,data_subtype_dist, additional_info) = self.get_column_data_type(col_data,File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/phases/type_deductor/type_deductor.py”, line 249, in get_column_data_type,nr_words, word_dist, nr_words_dist = analyze_sentences(data),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/mindsdb_native/libs/helpers/text_helpers.py”, line 66, in analyze_sentences,stop_words = set(stopwords.words(‘english’)),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/nltk/corpus/util.py”, line 120, in ,getattr,,self.__load(),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/nltk/corpus/util.py”, line 85, in __load,raise e,File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/nltk/corpus/util.py”, line 80, in __load,root = nltk.data.find("{}/{}".format(self.subdir, self.__name)),File “/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/nltk/data.py”, line 585, in find,raise LookupError(resource_not_found)